Skip to Content
Transactional SMS

Query dispatch history (POST alias)

View Markdown (.md)
POST
/api/v1/public/sms/history

Query dispatch history using a JSON body filter in environments where query string parameters are restricted.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
from?string
Formatdate-time
to?string
Formatdate-time
limit?integer
Default50

Response Body

List of recent dispatched SMS records

application/json
  1. response
status?string
data?array<>
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/sms/history' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "status": "string",  "data": [    {      "id": "string",      "to": "string",      "message": "string",      "status": "string",      "deliveryStatus": "string",      "senderId": "string",      "segmentCount": 0,      "sentAt": "2019-08-24T14:15:22Z"    }  ]}